List MCP Servers
curl --request GET \
--url https://api.portkey.ai/v1/mcp-servers \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/mcp-servers"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"owner_id": "<string>",
"slug": "<string>",
"workspace_id": "<string>",
"mcp_integration_id": "<string>",
"mcp_integration_slug": "<string>",
"mcp_integration_url": "<string>",
"auth_type": "<string>",
"workspace_name": "<string>",
"workspace_slug": "<string>",
"url": "<string>"
}
],
"total": 123
}List MCP Servers
List MCP Servers for the workspace. Requires workspace_id or x-portkey-api-key header.
GET
/
mcp-servers
List MCP Servers
Authorizations
Query Parameters
Workspace ID or slug. Required when using org admin API key; optional when API key is workspace-scoped.
Required range:
x >= 0Required range:
1 <= x <= 100Filter by MCP Server ID(s), comma-separated
Maximum string length:
255Last modified on March 25, 2026
Was this page helpful?
⌘I

